SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Security)  >   Kerberos Vendors:   MIT
MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
SecurityTracker Alert ID:  1030706
SecurityTracker URL:  http://securitytracker.com/id/1030706
CVE Reference:   CVE-2014-4341, CVE-2014-4342, CVE-2014-4343, CVE-2014-4344   (Links to External Site)
Date:  Aug 12 2014
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 5-1.12.2
Description:   Several vulnerabilities were reported in MIT Kerberos. A remote user can cause denial of service conditions.

A remote user with the ability to inject packets into a valid GSSAPI application session can trigger a buffer overread and cause the application to crash [CVE-2014-4341].

A remote user with the ability to inject packets into a valid GSSAPI application session can trigger a buffer overread or null pointer dereference and cause the application to crash [CVE-2014-4342].

A remote user with the ability to spoof packets from a GSSAPI application acceptor to trigger a double-free memory error and cause the target application to crash or potentially execute arbitrary code [CVE-2014-4343].

A remote authenticated or partially authenticated user can send specially crafted data during a SPNEGO negotiation to trigger a null pointer dereference and cause the target application to crash [CVE-2014-4344].

Impact:   A remote user can cause the target application to crash or potentially execute arbitrary code.
Solution:   The vendor has issued a fix (5-1.12.2).
Vendor URL:  web.mit.edu/kerberos/ (Links to External Site)
Cause:   Access control error, Boundary error, State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Aug 28 2014 (IBM Issues Fix for IBM AIX) MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
IBM has issued a fix for IBM AIX.
Sep 17 2014 (Red Hat Issues Fix) MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 5.
Oct 14 2014 (Red Hat Issues Fix) MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Dec 23 2014 (Oracle Issues Fix for Solaris) MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
Oracle has issued a fix for Solaris 11.2.
Mar 6 2015 (Red Hat Issues Fix) MIT Kerberos Multiple Memory Errors Let Remote Users Deny Service
Red Hat has issued a fix for Red Hat Enterprise Linux 7.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC